Students: System requirements

Please visit our new Lectures Online website.

Browser requirements
The Flash player plug-in (release 9.0.0 or higher) must be installed in the browser to view full rich media playback of Echo360 lecture capture recordings. Below is a list of tested browsers and operating systems on which playback is supported (other browsers may work on an OS, but have not been tested).

Please note that the current version of Echo360 used by the University of Texas does not work with iOS devices (iPad, iPhone, etc) or most other smartphones.

Windows Mac OS X Linux
Windows 7
Internet Explorer 8, Firefox 9.x, Chrome

Windows Vista
Internet Explorer 8, Internet Explorer 7, Firefox 3.x, Chrome

Windows XP
Internet Explorer 8, Internet Explorer 7, Internet Explorer 6, Firefox 3.x, Firefox 2.x, Chrome, Netscape 8

Mac OS X 10.7
Safari 5.x, Firefox 9.x

Mac OS X 10.6
Safari 5.x, Safari 4.x, Firefox 9.x

Mac OS X 10.5
Safari 5.x, Safari 4.x, Safari 3.x, Safari 2.x, Firefox 9.x, Firefox 8.x

Mac OS X 10.4
Safari 2.x, Firefox 9.x, Firefox 8.x

Mac OS X 10.3
Safari 1.3, Firefox 2.x

Linux Ubuntu 8.04
Firefox 3.x, Firefox 2.x

Linux Ubuntu 7.04/7.05
Firefox 3.x, Firefox 2.x

Linux Ubuntu 6.06
Firefox 3.x, Firefox 2.x

Network requirements
You will also need to be on a network with a minimum bandwidth of 180 Kbps. If you are behind a firewall, you will need to have ports 80, 8080, 554, and 1935 open for proper playback.

Comments are closed.